#ifndef GUI_SYSTEM_PANEL_H
#define GUI_SYSTEM_PANEL_H


#include "../../Macros.h"
#include "../../Utils/header/MyString.h"

#include "./GUIStructures.h"
#include "./GUIElement.h"

namespace GUISystem 
{

	typedef struct GUIPanelTextures
	{
		MyStringAnsi textureName;
		MyStringAnsi textureNameHover;
		MyStringAnsi textureNameClicked;
		MyStringAnsi textureNameChecked;								
		MyStringAnsi textureNameCheckedHover;		

		const MyStringAnsi & Get(int i) const
		{
			return this->textureName;			
		};

	} GUIPanelTextures;

	class GUIPanel : public GUIElement 
	{
		public:
			GUIPanel(const MyStringAnsi & name);
			~GUIPanel();

			virtual GUIPanel * GetPanel();

			const MyStringAnsi & GetActiveTextureName() const;
			const GUIPanelTextures & GetTextures() const;			
			


			void SetTextures(GUIPanelTextures & textures);
			


		protected:
			GUIPanelTextures textures;

		

		private:

	};

}


#endif