#ifndef GUI_SYSTEM_TEXT_CAPTION_H
#define GUI_SYSTEM_TEXT_CAPTION_H


namespace GUISystem
{
	class GUIFontRenderer;
}

#include "../../Macros.h"
#include "../../Utils/header/MyString.h"


#include "./GUIStructures.h"
#include "./GUIElement.h"

namespace GUISystem 
{

	class GUITextCaption : public GUIElement 
	{
		public:
			GUITextCaption(const MyStringAnsi & name);
			~GUITextCaption();

			virtual GUITextCaption * GetTextCaption();
			
			virtual void SetCanBaBaked(bool val);


			const MyStringAnsi & GetActiveTextureName() const;
			const MyStringAnsi & GetText() const;
			const MyStringAnsi & GetFontFace() const;			
			int GetFontSize() const;
			float GetRotationAngle() const;
			float GetFontPercentSize() const;

			void SetFontFace(const MyStringAnsi & fontFace);
			void SetText(const MyStringAnsi & text);			
			void SetFontSize(float size);
			void SetRotationAngle(float angle);

			void Update(const ElementProportions & parentProportions, GUIFontRenderer * fontRenderer);

		protected:

			MyStringAnsi caption;
			MyStringAnsi fontFace;			
			int fontSize;
			float percentSize;

			float angle;

			MyStringAnsi fontAtlasName;

		private:

	};

}


#endif